import 'package:flutter_translate/pages/color_setting/color_setting_binding.dart';
import 'package:flutter_translate/pages/color_setting/color_setting_view.dart';
import 'package:flutter_translate/pages/face_to_face/face_to_face_binding.dart';
import 'package:flutter_translate/pages/face_to_face/face_to_face_view.dart';
import 'package:flutter_translate/pages/history/history_binding.dart';
import 'package:flutter_translate/pages/history/history_view.dart';
import 'package:flutter_translate/pages/home/home_binding.dart';
import 'package:flutter_translate/pages/home/home_view.dart';
import 'package:flutter_translate/pages/launch/launch_binding.dart';
import 'package:flutter_translate/pages/launch/launch_view.dart';
import 'package:flutter_translate/pages/scene_category/scene_category_binding.dart';
import 'package:flutter_translate/pages/scene_category/scene_category_view.dart';
import 'package:flutter_translate/pages/scene_list/scene_list_binding.dart';
import 'package:flutter_translate/pages/scene_list/scene_list_view.dart';
import 'package:flutter_translate/pages/translated_text/translated_text_binding.dart';
import 'package:flutter_translate/pages/translated_text/translated_text_view.dart';
import 'package:flutter_translate/pages/translator/translator_binding.dart';
import 'package:flutter_translate/pages/translator/translator_view.dart';
import 'package:flutter_translate/pages/web/web_binding.dart';
import 'package:flutter_translate/pages/web/web_view.dart';
import 'package:get/get.dart';

class GetPages {
  static const launch = '/launch';
  static const home = '/home';
  static const sceneCategory = '/scene_category';
  static const sceneList = '/scene_list';
  static const faceToFace = '/face_to_face';
  static const history = '/history';
  static const translator = '/translator';
  static const translateText = '/translate_text';
  static const colorSetting = '/color_setting';

  static const webView = '/web_view';

  static List<GetPage> routers = [
    GetPage(
      name: launch,
      page: () => LaunchView(),
      binding: LaunchBinding(),
    ),
    GetPage(
      name: home,
      page: () => const HomeView(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: sceneCategory,
      page: () => const SceneCategoryView(),
      binding: SceneCategoryBinding(),
    ),
    GetPage(
      name: sceneList,
      page: () => const SceneListView(),
      binding: SceneListBinding(),
    ),
    GetPage(
      name: faceToFace,
      page: () => const FaceToFaceView(),
      binding: FaceToFaceBinding(),
    ),
    GetPage(
      name: history,
      page: () => const HistoryView(),
      binding: HistoryBinding(),
    ),
    GetPage(
      name: translator,
      page: () => const TranslatorView(),
      binding: TranslatorBinding(),
    ),
    GetPage(
      name: translateText,
      page: () => const TranslatedTextView(),
      binding: TranslatedTextBinding(),
    ),
    GetPage(
      name: colorSetting,
      page: () => const ColorSettingView(),
      binding: ColorSettingBinding(),
    ),
    GetPage(
      name: webView,
      page: () => const WebView(),
      binding: WebBinding(),
    ),
  ];
}
